### Enumeration

# Gio BusNameOwnerFlags

since: 2.26

#### Declaration

    flags Gio.BusNameOwnerFlags

#### Description [src]

Flags used in g_bus_own_name().

Available since: 2.26

#### Members

`G_BUS_NAME_OWNER_FLAGS_NONE`

  No flags set.

  - Value: `0`
  - Available since: 2.26
`G_BUS_NAME_OWNER_FLAGS_ALLOW_REPLACEMENT`

  Allow another message bus connection to claim the name.

  - Value: `1`
  - Available since: 2.26
`G_BUS_NAME_OWNER_FLAGS_REPLACE`

  If another message bus connection owns the name and have specified `G_BUS_NAME_OWNER_FLAGS_ALLOW_REPLACEMENT`, then take the name from the other connection.

  - Value: `2`
  - Available since: 2.26
`G_BUS_NAME_OWNER_FLAGS_DO_NOT_QUEUE`

  If another message bus connection owns the name, immediately return an error from `g_bus_own_name()` rather than entering the waiting queue for that name.

  - Value: `4`
  - Available since: 2.54